Subject: n900 in next-20170901

From: [email-masked] (Tony Lindgren)
Date: Mon, 25 Sep 2017 07:54:37 -0700

* Joonsoo Kim <[email-masked]> [170925 01:06]:
> On Thu, Sep 21, 2017 at 10:28:11AM -0700, Tony Lindgren wrote:
> > * Joonsoo Kim <[email-masked]> [170914 23:55]:
> > > On Wed, Sep 13, 2017 at 09:31:27AM -0700, Tony Lindgren wrote:
> > > > Yes I disabled CONFIG_HIGHMEM and n900 boots. To disable it,
> > > > you need to remove it from arch/arm/mach-omap2/Kconfig that
> > > > selects it if ARCH_OMAP2PLUS_TYPICAL is selected.
> > > 
> > > Okay. Problem would be related to address traslation. I'd like to
> > > check address traslation more. Could you apply following patch and
> > > test it? And, please send me the dmesg log and your kernel config.
> > > Please test this with CONFIG_DEBUG_VIRTUAL = n and CONFIG_CMA_DEBUG=y and
> > > CONFIG_HIGHMEM=y and with kernel bootparam 'ignore_loglevel'.
> > > 
> > > It would be really appreciate if you send me two logs for before/after
> > > commit 9caf25f996e8.
> > 
> > Sorry for the delays, I finally got around testing this for you.
> 
> No problem! I really appreciate your help!
> 
> > Compile with your patch failed for modules with __virt_to_phys_debug
> > being undefined so I added EXPORT_SYMBOL there. I also enabled DEBUG_LL
> > and EARLYPRINTK to get output.
> > 
> > Below is dmesg output for 9caf25f996e8 + your patch. I'll send you
> > the full logs separately.
> 
> Hmm...there is only one caller for the CMA memory, that is, atomic_pool_init().
> Could you test one more time with 9caf25f996e8 + following patch?  I'd like to
> know the actual user for the CMA memory.

Hmm not getting any stack with that patch after manually applying
it because of tabs to spaces mangling.

Regards,

Tony

> -------------------------->8------------------------
> diff --git a/arch/arm/mm/dma-mapping.c b/arch/arm/mm/dma-mapping.c
> index 519c294..c68f34a 100644
> --- a/arch/arm/mm/dma-mapping.c
> +++ b/arch/arm/mm/dma-mapping.c
> @@ -587,6 +587,8 @@ static void *__alloc_from_pool(size_t size, struct page **ret_page)
>                 ptr = (void *)val;
>         }
>  
> +       dump_stack();
> +
>         return ptr;
>  }
>